package com.ylx.massage.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ylx.common.utils.DateUtils;
import com.ylx.massage.mapper.TJsDayMapper;
import com.ylx.massage.domain.TJsDay;
import com.ylx.massage.service.TJsDayService;
import com.ylx.massage.utils.DateTimeUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

/**
 * 技师数据统计(TJsDay)表服务实现类
 *
 * @author makejava
 * @since 2024-08-14 18:00:31
 */
@Service("tJsDayService")
public class TJsDayServiceImpl extends ServiceImpl<TJsDayMapper, TJsDay> implements TJsDayService {

    @Resource
    private TJsDayMapper tJsDayMapper;
    @Override
    public TJsDay selectApp(TJsDay tJsDay) {
        Date firstDayOfMonth = DateTimeUtils.getFirstDayOfMonth();
        Date lastDayOfMonth = DateTimeUtils.getLastDayOfMonth();
        return tJsDayMapper.selectApp(tJsDay.getOpenId(),DateTimeUtils.formatDate(firstDayOfMonth),DateTimeUtils.formatDate(lastDayOfMonth));
    }
}

